import 'package:flutter/material.dart';
import 'package:sigap/src/shared/widgets/shapes/custom_curved_edge.dart';

class CurvedEdgeWidget extends StatelessWidget {
  const CurvedEdgeWidget({super.key, required this.child});

  final Widget child;

  @override
  Widget build(BuildContext context) {
    return ClipPath(clipper: CustomCurvedEdge(), child: child);
  }
}
